## zookeeper 3.2.2+dfsg3

=== debian/changelog ===
zookeeper (3.2.2+dfsg3-3) unstable; urgency=low

  * remove /var/run/zookeeper when purging the package
  * zookeeperd.init creates /var/run/zookeeper now (Closes: #569972)
  * cronjob to purge old zookeeper data
  * more elaborate config example
  * superfluous /var/run/zookeeper entry in zookeeper.dirs
  * fix lintian tag debian-rules-ignores-make-clean-error
  * don't install executables to /usr/bin without manpages and proper
    names
  * Use Built-in functions for atomic memory access instead of 
    hard-coded assembler. Thx Matthias Klose. Closes: #568618.
  * move executables to /usr/lib/... instead of /usr/share/...

 -- Thomas Koch <thomas.koch@ymc.ch>  Wed, 24 Feb 2010 15:02:09 +0100

zookeeper (3.2.2+dfsg3-2) unstable; urgency=low

  * Build C and Python bindings. Thanks to Matthias Klose.
  * Corrected dependencies versions in debian/control.

 -- Thomas Koch <thomas.koch@ymc.ch>  Thu, 28 Jan 2010 12:07:38 +0100

zookeeper (3.2.2+dfsg3-1) unstable; urgency=low

  * New repackaging after FTP rejection due to overseen license issues.
  * New repackaging of upstream tarball to exclude generated code. 
  * Initial release. (Closes: #561947)

 -- Thomas Koch <thomas.koch@ymc.ch>  Fri, 27 Jan 2010 16:41:22 +0100
