=== debian/control ===
Source: zookeeper
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Koch <thomas.koch@ymc.ch>
Homepage: http://hadoop.apache.org/zookeeper
Vcs-Browser: http://git.debian.org/?p=pkg-java/zookeeper.git
Vcs-Git: git://git.debian.org/pkg-java/zookeeper.git
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7.4.11), javahelper (>= 0.28), default-jdk (>= 1.6),
 ant (>= 1.6.0), liblog4j1.2-java (>> 1.2.15-8), junit4, libxerces2-java,
 libjline-java, javacc, default-jdk-doc, python-all-dev, python-support
XS-Python-Version: all

Package: libzookeeper-java
Architecture: all
Depends: ${misc:Depends}, liblog4j1.2-java (>> 1.2.15-8), libxerces2-java,
 libjline-java
Description: Information management inside a cluster. Part of the hadoop family.
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.
 .
 This package contains the java .jar files.

Package: zookeeper
Architecture: all
Depends: ${misc:Depends}, libzookeeper-java (= ${binary:Version}),
 default-jre-headless | java6-runtime-headless, adduser
Description: Information management inside a cluster. Part of the hadoop family.
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.
 .
 This package contains the shell scripts and an example configuration but does
 not automatically start up the service. The example configuration is installed
 with the update-alternatives mechanism.

Package: zookeeperd
Architecture: all
Depends: ${misc:Depends}, zookeeper (= ${binary:Version}), lsb-base (>= 3.2-14)
Description: Information management inside a cluster. Part of the hadoop family.
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.
 .
 This package contains init.d scripts to start and stop zookeeper and starts
 zookeeper on installation.

Package: libzookeeper-java-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libzookeeper-java (= ${binary:Version})
Description: API-Documentation for zookeeper
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.

Package: libzookeeper2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Information management inside a cluster. Part of the hadoop family.
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.
 .
 This package contains the runtime files for the C bindings.

Package: libzookeeper-dev
Architecture: any
Section: libdevel
Depends: libzookeeper2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Information management inside a cluster. Part of the hadoop family.
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.
 .
 This package contains the development files for the C bindings.

Package: zookeeper-bin
Architecture: any
Section: misc
Depends: libzookeeper2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Information management inside a cluster. Part of the hadoop family.
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.
 .
 This package contains additional zookeeper command line utilities using the C
 binding. See the "zookeeper" package for command line utilities using the java
 binding.

Package: python-zookeeper
Architecture: any
Section: python
XB-Python-Version: ${python:Versions}
Depends: libzookeeper2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Information management inside a cluster. Part of the hadoop family.
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.
 .
 This package contains the Python bindings.
