## zookeeper 3.3.1+dfsg1

=== debian/changelog ===
zookeeper (3.3.1+dfsg1-2) unstable; urgency=low

  * FIX: cronjob, init.d fail after package removal. Closes: #582757

 -- Thomas Koch <thomas.koch@ymc.ch>  Tue, 01 Jun 2010 13:25:34 +0200

zookeeper (3.3.1+dfsg1-1) unstable; urgency=low

  * new upstream version
  * started over testing a new git layout for packaging

 -- Thomas Koch <thomas.koch@ymc.ch>  Tue, 18 May 2010 09:36:16 +0200

zookeeper (3.3.0+dfsg1-1) unstable; urgency=low

  * new upstream version
  * packaged zooinspector contrib
  * packages zktreeutil contrib
  * Made debian/rules a bit more sane

 -- Thomas Koch <thomas.koch@ymc.ch>  Tue, 27 Apr 2010 13:52:30 +0200
