## zookeeper 3.3.3+dfsg2

=== debian/changelog ===
zookeeper (3.3.3+dfsg2-1ubuntu1) oneiric; urgency=low

  * d/zookeeper.cron.daily: handle return code of 1 so daily cron job
    does not produce error emails when the package is removed but not
    purged. (LP: #830601)

 -- Clint Byrum <clint@ubuntu.com>  Sun, 21 Aug 2011 10:13:55 -0700

zookeeper (3.3.3+dfsg2-1) unstable; urgency=low

  * Re-enable python 2.7 modules (Closes: #633690):
    - debian/control: X-Python-Version: >= 2.6
  * debian/copyright: added EPL-1.0 for src/contrib/zooinspector/icons/*.
  * debian/patches/fixes/ZOOKEEPER-1033: Cherry picked patch from 3.4.0 
    so that headers for c bindings are installed to /usr/include/zookeeper.
  * Purged additional non-DFSG files from upstream source:
    - src/java/test/data/* : invalid snapshot and upgrade testing data.

 -- James Page <james.page@ubuntu.com>  Wed, 13 Jul 2011 10:01:47 +0100

zookeeper (3.3.3+dfsg1-1) unstable; urgency=low

  * New upstream release.
  * Resolve FTBFS on mips and hppa - platforms should not be supported 
    as zookeeper needs default-jdk >= 1:1.6 (Closes: #626020,#594970).
  * Added myself to Uploaders.
  * Removed Thomas Koch from Uploaders - thanks for all of your work.
  * Bumped Standards-Version: 3.9.2; no changes.
  * Transition to dh_python2.
  * Fixed FTBFS due to -Werror actually working and causing build 
    failures in gcc >= 4.6.1 (Closes: #625441).
  * debian/bin/zkPurgeTxnLog.sh: Switch DATADIR and DATALOGDIR to match
    parameter ordering in Zookeeper code (Closes: #601383) - thanks to 
    Paul Paradise for identifying this issue and the fix.
  * debian/copyright: upgrade to DEP-5 format.

 -- James Page <james.page@ubuntu.com>  Tue, 12 Jul 2011 16:56:06 +0100
