=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,12 @@
 #!/usr/bin/make -f
 
-export JAVA_HOME=/usr/lib/jvm/default-java/
-#export CLASSPATH=lib/*:build/classes:debian/_jh_build.zookeeper
+export JAVA_HOME=/usr/lib/jvm/default-java
 
 PYVERS := $(shell pyversions -vr)
+DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^+]+).*,\1,p')
 
 %:
-	dh --with javahelper $@
+	dh --with javahelper --with python2 $@
 
 override_dh_auto_build:
 	# TODO exclude the fatjar contrib from upstream tarball and include the rest contrib
@@ -14,7 +14,7 @@
 	javacc -OUTPUT_DIRECTORY=src/java/main/org/apache/jute/compiler/generated src/java/main/org/apache/jute/compiler/generated/rcc.jj
 	# the upstream build file includes .java files in the jars. Let's create the jars ourselves.
 	# see: https://issues.apache.org/jira/browse/ZOOKEEPER-537
-	ant -Dversion=3.3.1 -DlastRevision=-1 javadoc javadoc-dev jar
+	ant -Dversion=$(DEB_UPSTREAM_VERSION) -DlastRevision=-1 javadoc javadoc-dev jar
 
 	# compile C library
 	cd src/c && autoreconf -i
@@ -22,8 +22,8 @@
 	$(MAKE) -C src/c
 
 	# compile contribs
-	cd src/contrib && ant -Dversion=3.3.1 -DlastRevision=-1 -Ddest.dir=../../build/zookeeper -Divy.jar.exists=true -Divy.initialized=true -Dcontribfilesetincludes="bookkeeper/build.xml"
-	cd src/contrib && ant -Dversion=3.3.1 -DlastRevision=-1 -Ddest.dir=../../build/zookeeper -Divy.jar.exists=true -Divy.initialized=true -Dcontribfilesetincludes="zooinspector/build.xml"
+	cd src/contrib && ant -Dversion=$(DEB_UPSTREAM_VERSION) -DlastRevision=-1 -Ddest.dir=../../build/zookeeper -Divy.jar.exists=true -Divy.initialized=true -Dcontribfilesetincludes="bookkeeper/build.xml"
+	cd src/contrib && ant -Dversion=$(DEB_UPSTREAM_VERSION) -DlastRevision=-1 -Ddest.dir=../../build/zookeeper -Divy.jar.exists=true -Divy.initialized=true -Dcontribfilesetincludes="zooinspector/build.xml"
 
 	cd src/contrib/zkpython && \
 	  for pv in $(PYVERS); do \
@@ -114,5 +114,5 @@
 	true
 
 # some utf8 error? Don't need them anyway by now
-override_jh_classpath override_jh_manifest override_jh_exec:
-	true
+#override_jh_classpath override_jh_manifest override_jh_exec:
+#	true
