## zookeeper 3.3.4+dfsg1

=== debian/changelog ===
zookeeper (3.3.4+dfsg1-2) unstable; urgency=low

  * Added new libzookeeper-st{2,-dev} packages (Closes: #650938) and 
    renamed libzookeeper{2,-dev} -> libzookeeper-mt{2,-dev}.
  * Added transitional package libzookeeper2 -> libzookeeper-mt2.
  * Convert libzookeeper-{st,mt}2 for MultiArch support.
  * Disable detection of cygwin as not relevant for Debian based
    installs and complicates configuration (Closes: #650882). Thanks
    to Akira Kitada for this patch.
  * Really close RFH (Closes: #579791).

 -- James Page <james.page@ubuntu.com>  Mon, 12 Dec 2011 13:31:47 +0000

zookeeper (3.3.4+dfsg1-1) unstable; urgency=low

  [ James Page ]
  * New upstream release:
    - d/patches/fixes/ZOOKEEPER-1117: Dropped - fix included upstream.
    - Refreshed patches.
  * Added support for upstart under Ubuntu (LP: #862762):
    - d/rules,d/zookeeperd.upstart.in: Detect Ubuntu and swap in provided 
      upstart configuration if required.
    - d/ubuntu|debian_control_vars,d/control,d/rules: Provide different Depends 
      for zookeeperd package when building under Ubuntu/Debian.
  * Enabled C and Java test suites:
    - d/control,d/compat: Bumped debhelper compat level to 8 to allow 
      arch/indep overrides.
    - d/rules: Enable test suites for -arch and -indep builds.
    - d/patches/debian/patch-build-system: Patch unit testing to exclude 
      InvalidSnapshot and Upgrade tests (non-free data) and to pickup 
      junit4 from system library.
    - d/rules: Disable test suite execution for the time being as does 
      not run reliably.
  * Close RFH for this package (LP: #579791).

  [ Damien Raude-Morvan ]
  * Add DMUA flag for James Page.
  * Build-Depends on procps for test suite.

 -- James Page <james.page@ubuntu.com>  Thu, 01 Dec 2011 15:03:53 +0000

zookeeper (3.3.3+dfsg2-2) unstable; urgency=low

  * Updated patch for ZOOKEEPER-1117 with fixes accepted into
    zookeeper 3.4.0 upstream; should also resolve FTBFS on ia64.
  * Close RFH from original maintainer (Closes: #602694).
  * debian/zookeeper.cron.daily: handle return code of 1 so daily cron job
    does not produce error emails when the package is removed but not
    purged (Closes: #582757). Thanks to Clint Byrum for this fix.

 -- James Page <james.page@ubuntu.com>  Wed, 31 Aug 2011 08:51:04 +0100
