## zookeeper 3.3.5+dfsg1

=== debian/changelog ===
zookeeper (3.3.5+dfsg1-2) unstable; urgency=low

  * d/patches/fixes/ZOOKEEPER-1431: Fix up memory leak in zookeeper
    python binding which results in significant memory growth for large
    result sets (Closes: #665962). Thanks to Johan Rydberg for identifying 
    this bug and Kapil Thangavelu for the patch.

 -- James Page <james.page@ubuntu.com>  Mon, 28 May 2012 11:51:03 +0100

zookeeper (3.3.5+dfsg1-1.1) unstable; urgency=low

  * Non maintainer upload.
  * Fix build failure with GCC 4.7.

 -- Matthias Klose <doko@debian.org>  Thu, 10 May 2012 18:00:25 +0200

zookeeper (3.3.5+dfsg1-1) unstable; urgency=low

  * New upstream bugfix release.
    - d/fix-broken-c-client-unittest.patch: Dropped - accepted upstream.
    - Refreshed all other patches.
  * Bumped Standards-Version: 3.9.3.
  * Fix issue with quoting of parameters in zkCli.sh (Closes: #661837):
    - d/patches/fixes/ZOOKEEPER-1403: Ensure parameters are correctly
      quoted - thanks to John Eikenberry for this fix.

 -- James Page <james.page@ubuntu.com>  Wed, 21 Mar 2012 21:20:30 +0000

zookeeper (3.3.4+dfsg1-3) unstable; urgency=low

  * Sync changes from Ubuntu:
    - Switch zookeeperd upstart configuration to use start-stop-daemon.
      Thanks to Clint Byrum for this fix.
    - Enable C and Java test suites:
      - d/patches/fixes/ZOOKEEPER-1374: Use __sync_* primitives
        instead of ASM code when available to improve portability across 
        supported platforms.
      - d/patches/fix-broken-c-client-test.patch: Fixes the unit test so
        it will pass with EINVAL which is the correct error. Thanks to
        Clint Byrum for this fix.
      - d/rules: Enable C client test suite for all architectures.
      - d/rules: Only run core Java test suite when building 
        Architecture: all packages.

 -- James Page <james.page@ubuntu.com>  Mon, 30 Jan 2012 13:21:21 +0000
