=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Homepage: http://hadoop.apache.org/zookeeper
 Vcs-Browser: http://git.debian.org/?p=pkg-java/zookeeper.git
 Vcs-Git: git://git.debian.org/pkg-java/zookeeper.git
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Build-Depends:
  ant (>= 1.6.0),
  ant-optional,
@@ -68,7 +68,7 @@
 
 Package: zookeeperd
 Architecture: all
-Depends: zookeeper (= ${binary:Version}), ${misc:Depends}, ${zookeeperd-deps}
+Depends: zookeeper (= ${binary:Version}), ${misc:Depends}, lsb-base (>= 3.2-14)
 Description: Init control scripts for zookeeper
  ZooKeeper is a centralized, reliable, service for maintaining configuration
  information, naming, providing distributed synchronization, and group
